package com.ruoyi.bid.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.bid.mapper.BidMyZizhiMapper;
import com.ruoyi.bid.domain.BidMyZizhi;
import com.ruoyi.bid.service.IBidMyZizhiService;

/**
 * 资质管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-12-11
 */
@Service
public class BidMyZizhiServiceImpl implements IBidMyZizhiService 
{
    @Autowired
    private BidMyZizhiMapper bidMyZizhiMapper;

    /**
     * 查询资质管理
     * 
     * @param id 资质管理主键
     * @return 资质管理
     */
    @Override
    public BidMyZizhi selectBidMyZizhiById(Long id)
    {
        return bidMyZizhiMapper.selectBidMyZizhiById(id);
    }

    /**
     * 查询资质管理列表
     * 
     * @param bidMyZizhi 资质管理
     * @return 资质管理
     */
    @Override
    public List<BidMyZizhi> selectBidMyZizhiList(BidMyZizhi bidMyZizhi)
    {
        return bidMyZizhiMapper.selectBidMyZizhiList(bidMyZizhi);
    }

    /**
     * 新增资质管理
     * 
     * @param bidMyZizhi 资质管理
     * @return 结果
     */
    @Override
    public int insertBidMyZizhi(BidMyZizhi bidMyZizhi)
    {
        bidMyZizhi.setCreateTime(DateUtils.getNowDate());
        return bidMyZizhiMapper.insertBidMyZizhi(bidMyZizhi);
    }

    /**
     * 修改资质管理
     * 
     * @param bidMyZizhi 资质管理
     * @return 结果
     */
    @Override
    public int updateBidMyZizhi(BidMyZizhi bidMyZizhi)
    {
        bidMyZizhi.setUpdateTime(DateUtils.getNowDate());
        return bidMyZizhiMapper.updateBidMyZizhi(bidMyZizhi);
    }

    /**
     * 批量删除资质管理
     * 
     * @param ids 需要删除的资质管理主键
     * @return 结果
     */
    @Override
    public int deleteBidMyZizhiByIds(Long[] ids)
    {
        return bidMyZizhiMapper.deleteBidMyZizhiByIds(ids);
    }

    /**
     * 删除资质管理信息
     * 
     * @param id 资质管理主键
     * @return 结果
     */
    @Override
    public int deleteBidMyZizhiById(Long id)
    {
        return bidMyZizhiMapper.deleteBidMyZizhiById(id);
    }
}
